import React from 'react';
import { Menu, Icon } from 'antd';
import '../leftTab.less';
const SubMenu = Menu.SubMenu;
const MenuItemGroup = Menu.ItemGroup;


const LeftTab = React.createClass({
    getInitialState() {
        return {
            current: 'user', 
            subKey: 'sub1', 
            keyList: [
                { key: 'sub1', value: ['user','role','jurisdiction'] },
                { key: 'sub2', value: ['organization'] },
                { key: 'sub3', value: ['businessCategory', 'businessProject'] },
            ]
        };
    },
     handleClick(e) {
        this.props.handlekey(e.key);
        this.setState({
            current: e.key,
        });
    },
    componentWillMount() {
        const _me = this;
        if (window.location.hash) {
            let theKey = window.location.hash.substr(1);
            this.state.keyList.map(function (item1) {
                item1.value.map(function (item2) {
                    if (theKey == item2) {
                        _me.state.subKey = item1.key
                    };
                });
            });
            this.state.current = theKey;
        };
    },
    render() {
        return (
            <Menu onClick={this.handleClick}
                selectedKeys={[this.state.current]}
                defaultOpenKeys={[this.state.subKey]}
                mode="vertical"
                className="account-left"
                mode="inline" >
	            <SubMenu key="sub1" title={<span>用户管理</span>}>	
	            		<Menu.Item key="user">
		                    用户信息
		                </Menu.Item> 
		                <Menu.Item key="role">
		                    角色信息
		                </Menu.Item>                              
		                <Menu.Item key="jurisdiction">
		                    权限信息
		                </Menu.Item>		           
		        </SubMenu> 
		        <SubMenu key="sub2" title={<span>组织机构管理</span>}>	            	
		                <Menu.Item key="organization">
		                    组织机构
		                </Menu.Item>               	               		           
		        </SubMenu>
		        <SubMenu key="sub3" title={<span>业务品种管理</span>}>		            
		                <Menu.Item key="businessCategory">
		                    业务品类管理
		                </Menu.Item>               
		                <Menu.Item key="businessProject">
		                    业务项目管理
		                </Menu.Item>	               		           
		        </SubMenu>
            </Menu>
        );
    },
});

export default LeftTab;